org.springframework.data.jdbc.core.mapping

## Class AggregateReference.IdOnlyAggregateReference<T,ID>

- java.lang.Object
- - org.springframework.data.jdbc.core.mapping.AggregateReference.IdOnlyAggregateReference<T,ID>

Type Parameters:
  `T` -
  `ID` -

All Implemented Interfaces:
  AggregateReference<T,ID>

Enclosing interface:
  AggregateReference<T,ID>

    public static class AggregateReference.IdOnlyAggregateReference<T,ID>
    extends Object
    implements AggregateReference<T,ID>

An `AggregateReference` that only holds the id of the referenced aggregate root. Note that there is no check that a matching aggregate for this id actually exists.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.springframework.data.jdbc.core.mapping.AggregateReference

`AggregateReference.IdOnlyAggregateReference<T,ID>`

### Constructor Summary

Constructors
Constructor and Description
`IdOnlyAggregateReference(ID id)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`ID` `getId()`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.springframework.data.jdbc.core.mapping.AggregateReference

`to`

### Constructor Detail

#### IdOnlyAggregateReference

    public IdOnlyAggregateReference(ID id)

### Method Detail

#### getId

    public ID getId()

Specified by:
  `getId` in interface `AggregateReference<T,ID>`
Returns:
  the id of the referenced aggregate. May be `null`.

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`